Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.monitor
Class MX4JStringMonitor.StringMonitorInfo

    java.lang.Object
      mx4j.monitor.MX4JMonitor.MonitorInfo
          mx4j.monitor.MX4JStringMonitor.StringMonitorInfo

Enclosing class:
  MX4JStringMonitor

protected class MX4JStringMonitor.StringMonitorInfo
extends MX4JMonitor.MonitorInfo

Constructor Summary
`protected` | `MX4JStringMonitor.StringMonitorInfo()`

Method Summary
`void` | `clearNotificationStatus()`
`java.lang.String` | `getGauge()`
`long` | `getTimestamp()`
`boolean` | `isDifferNotified()`
`boolean` | `isMatchNotified()`
`void` | `setDifferNotified(boolean differNotified)`
`void` | `setGauge(java.lang.String gauge)`
`void` | `setMatchNotified(boolean matchNotified)`
`void` | `setTimestamp(long timestamp)`
`java.lang.String` | `toString()`

Methods inherited from class mx4j.monitor.MX4JMonitor.MonitorInfo
`isErrorNotified, setErrorNotified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MX4JStringMonitor.StringMonitorInfo

    protected MX4JStringMonitor.StringMonitorInfo()

Method Detail

### getGauge

    public java.lang.String getGauge()

### setGauge

    public void setGauge(java.lang.String gauge)

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public void setTimestamp(long timestamp)

### isMatchNotified

    public boolean isMatchNotified()

### setMatchNotified

    public void setMatchNotified(boolean matchNotified)

### isDifferNotified

    public boolean isDifferNotified()

### setDifferNotified

    public void setDifferNotified(boolean differNotified)

### clearNotificationStatus

    public void clearNotificationStatus()

  Overrides:
    `clearNotificationStatus` in class `MX4JMonitor.MonitorInfo`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MX4JMonitor.MonitorInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.